Page MenuHomePhabricator

Prepare config for test.wikidata.org
Closed, ResolvedPublic

Description

This can be based from the config that has been used on beta

Variables to set:

$wgWBClientSettings['disabledAccessEntityTypes'] = [ 'lexeme', 'form', 'sense' ];
$wgWBRepoSettings['disabledRdfExportEntityTypes'] = ['lexeme', 'form', 'sense' ];
language code property: name: $wgLexemeLanguageCodePropertyId value: P220
$wgLexemeEnableSenses: false
disable creating properties with data type "sense": $wgdisabledDataTypes[] = [ 'wikibase-sense' ]
enable Cirrus-based search: $wgWBRepoSettings['entitySearch']['useCirrus'] = true # NOTE: this is probably already the case. Check before in order to not duplicate settings!
reserved / blacklisted lexeme IDs (probably added in https://gerrit.wikimedia.org/r/#/c/430611/)

Details

Related Gerrit Patches:
operations/mediawiki-config : master[testwikidata] Add Lexeme NS to ContentNamespaces
operations/mediawiki-config : mastertestwikidata: Add Lexeme NS to wgNamespacesToBeSearchedDefault
operations/mediawiki-config : masterConfigure WikibaseLexeme after Repo & Client
operations/mediawiki-config : masterPrepare Lexeme config for test.wikidata.org

Event Timeline

WMDE-leszek triaged this task as Normal priority.May 9 2018, 10:30 AM
WMDE-leszek created this task.
Addshore renamed this task from Change config for test.wikidata.org to Prepare config for test.wikidata.org.May 9 2018, 10:30 AM
Addshore updated the task description. (Show Details)
WMDE-leszek updated the task description. (Show Details)May 9 2018, 1:14 PM
WMDE-leszek updated the task description. (Show Details)May 10 2018, 7:56 AM

Change 433145 merged by jenkins-bot:
[operations/mediawiki-config@master] Prepare Lexeme config for test.wikidata.org

https://gerrit.wikimedia.org/r/433145

Mentioned in SAL (#wikimedia-operations) [2018-05-16T10:45:58Z] <addshore@tin> Synchronized wmf-config/InitialiseSettings.php: [[gerrit:433145|Prepare Lexeme config for test.wikidata.org]] T194250 PT 1/2 (duration: 01m 22s)

Mentioned in SAL (#wikimedia-operations) [2018-05-16T10:47:58Z] <addshore@tin> Synchronized wmf-config/Wikibase.php: [[gerrit:433145|Prepare Lexeme config for test.wikidata.org]] T194250 PT 2/2 (duration: 01m 21s)

Addshore closed this task as Resolved.May 16 2018, 11:02 AM

Change 433358 had a related patch set uploaded (by Addshore; owner: Addshore):
[operations/mediawiki-config@master] Configure WikibaseLexeme after Repo & Client

https://gerrit.wikimedia.org/r/433358

Change 433358 merged by jenkins-bot:
[operations/mediawiki-config@master] Configure WikibaseLexeme after Repo & Client

https://gerrit.wikimedia.org/r/433358

Mentioned in SAL (#wikimedia-operations) [2018-05-16T13:26:13Z] <addshore@tin> Synchronized wmf-config/Wikibase.php: SWAT: [[gerrit:433358|Configure WikibaseLexeme after Repo & Client]] T191458 T194250 (duration: 01m 21s)

Change 434592 had a related patch set uploaded (by Addshore; owner: Addshore):
[operations/mediawiki-config@master] testwikidata: Add Lexeme NS to wgNamespacesToBeSearchedDefault

https://gerrit.wikimedia.org/r/434592

Change 434592 merged by jenkins-bot:
[operations/mediawiki-config@master] testwikidata: Add Lexeme NS to wgNamespacesToBeSearchedDefault

https://gerrit.wikimedia.org/r/434592

Change 434642 had a related patch set uploaded (by DCausse; owner: DCausse):
[operations/mediawiki-config@master] [testwikidata] Add Lexeme NS to ContentNamespaces

https://gerrit.wikimedia.org/r/434642

Change 434642 merged by jenkins-bot:
[operations/mediawiki-config@master] [testwikidata] Add Lexeme NS to ContentNamespaces

https://gerrit.wikimedia.org/r/434642

Vvjjkkii renamed this task from Prepare config for test.wikidata.org to hbdaaaaaaa.Jul 1 2018, 1:10 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Jakob_WMDE as the assignee of this task.
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii edited subscribers, added: Jakob_WMDE; removed: gerritbot, Aklapper.
CommunityTechBot renamed this task from hbdaaaaaaa to Prepare config for test.wikidata.org.Jul 2 2018, 6:05 AM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to Jakob_WMDE.
CommunityTechBot lowered the priority of this task from High to Normal.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot edited subscribers, added: gerritbot, Aklapper; removed: Jakob_WMDE.